<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtymis.mapper.TfYwpnValveMapper">

    <resultMap id="tfYwpnValveMap" type="com.tofly.xrtymis.entity.TfYwpnValve">
        <id property="id" column="ID"/>
        <result property="ownerunit" column="OWNERUNIT"/>
        <result property="maintainedunit" column="MAINTAINEDUNIT"/>
        <result property="surveydate" column="SURVEYDATE"/>
        <result property="indate" column="INDATE"/>
        <result property="installdate" column="INSTALLDATE"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="remark" column="REMARK"/>
        <result property="fileIds" column="FILE_IDS"/>
        <result property="sid" column="SID"/>
        <result property="facilityid" column="FACILITYID"/>
        <result property="valvetype" column="VALVETYPE"/>
        <result property="valveclass" column="VALVECLASS"/>
        <result property="antirotgrade" column="ANTIROTGRADE"/>
        <result property="x" column="X"/>
        <result property="y" column="Y"/>
        <result property="groundz" column="GROUNDZ"/>
        <result property="diameter" column="DIAMETER"/>
        <result property="material" column="MATERIAL"/>
        <result property="depth" column="DEPTH"/>
        <result property="topz" column="TOPZ"/>
        <result property="screwno" column="SCREWNO"/>
        <result property="direction" column="DIRECTION"/>
        <result property="openclose" column="OPENCLOSE"/>
        <result property="manufacturer" column="MANUFACTURER"/>
        <result property="filaturediameter" column="FILATUREDIAMETER"/>
        <result property="valvedeep" column="VALVEDEEP"/>
        <result property="proofmaterial" column="PROOFMATERIAL"/>
        <result property="sizeeh" column="SIZEEH"/>
        <result property="sizeeb" column="SIZEEB"/>
        <result property="zsize" column="ZSIZE"/>
        <result property="bolttype" column="BOLTTYPE"/>
        <result property="circlesize" column="CIRCLESIZE"/>
        <result property="northwest" column="NORTHWEST"/>
        <result property="southeast" column="SOUTHEAST"/>
        <result property="connecttype" column="CONNECTTYPE"/>
        <result property="modal" column="MODAL"/>
        <result property="motorized" column="MOTORIZED"/>
        <result property="percentopen" column="PERCENTOPEN"/>
        <result property="islock" column="ISLOCK"/>
        <result property="manholetype" column="MANHOLETYPE"/>
        <result property="manholematerial" column="MANHOLEMATERIAL"/>
        <result property="manholemiameter" column="MANHOLEMIAMETER"/>
        <result property="manholelen" column="MANHOLELEN"/>
        <result property="manholewidth" column="MANHOLEWIDTH"/>
        <result property="welltype" column="WELLTYPE"/>
        <result property="wellmateial" column="WELLMATEIAL"/>
        <result property="wellneckdepth" column="WELLNECKDEPTH"/>
        <result property="wellmiameter" column="WELLMIAMETER"/>
        <result property="welllen" column="WELLLEN"/>
        <result property="wellwidth" column="WELLWIDTH"/>
        <result property="wellheight" column="WELLHEIGHT"/>
        <result property="wellcode" column="WELLCODE"/>
        <result property="distno" column="DISTNO"/>
        <result property="areano" column="AREANO"/>
        <result property="district" column="DISTRICT"/>
        <result property="laneway" column="LANEWAY"/>
        <result property="address" column="ADDRESS"/>
        <result property="surveyunit" column="SURVEYUNIT"/>
        <association property="createUserName" column="CREATE_USER" select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName" />
        <collection property="filePath" column="FILE_IDS" select="com.tofly.xrtymis.mapper.FileMapper.getFileByIds"/>
        <!--        <association property="createUserName"  column="CREATE_USER" select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName" />-->
    </resultMap>

</mapper>
